Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ChangeTXMWorkspace.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ChangeTXMWorkspace.java	(revision 3147)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ChangeTXMWorkspace.java	(revision 3148)
@@ -46,6 +46,7 @@
 import org.eclipse.ui.internal.ide.ChooseWorkspaceData;
 import org.eclipse.ui.internal.ide.ChooseWorkspaceDialog;
 import org.txm.Toolbox;
+import org.txm.core.preferences.TBXPreferences;
 import org.txm.rcp.Application;
 import org.txm.rcp.JobsTimer;
 import org.txm.rcp.messages.TXMUIMessages;
@@ -111,10 +112,13 @@
 			return false;
 		}
 		launchData.workspaceSelected(path);
+		TBXPreferences.getInstance().put(TBXPreferences.USER_TXM_HOME, path);
+		TBXPreferences.saveAll();
 		
 		// Switch workspace :
 		try {
 			URL url = new URL("file", "", path);
+			
 			launchData.writePersistedData();
 			ChooseWorkspaceData.setShowDialogValue(false);
 			PlatformUI.getWorkbench().restart(); // need to restart TXM to apply changes
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 3147)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 3148)
@@ -109,7 +109,7 @@
 			tmpLabel = toolkit.createLabel(sectionClient, TXMUIMessages.wordsPerPage);
 			tmpLabel.setLayoutData(getLabelGridData());
 			
-			wordsPerPageText = toolkit.createText(sectionClient, "500", SWT.BORDER); //$NON-NLS-1$
+			wordsPerPageText = toolkit.createText(sectionClient, "1000", SWT.BORDER); //$NON-NLS-1$
 			TableWrapData gdata = getTextGridData();
 			wordsPerPageText.setLayoutData(gdata);
 		}
@@ -305,7 +305,7 @@
 			if (pageBreakText != null) {
 				page_break_tag = pageBreakText.getText();
 			}
-			int words_per_page = 500;
+			int words_per_page = 1000;
 			if (wordsPerPageText != null) {
 				words_per_page = Integer.parseInt(wordsPerPageText.getText());
 			}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ComplexSubcorpusPanel.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ComplexSubcorpusPanel.java	(revision 3147)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ComplexSubcorpusPanel.java	(revision 3148)
@@ -139,10 +139,11 @@
 		
 		andBtn = new Button(andorGroup, SWT.RADIO);
 		andBtn.setText(TXMUIMessages.allCriteria);
-		andBtn.setSelection(true);
+		andBtn.setSelection(false);
 		
 		Button orBtn = new Button(andorGroup, SWT.RADIO);
 		orBtn.setText(TXMUIMessages.someCriteria);
+		orBtn.setSelection(true);
 		
 		// structure choice
 		Label l = new Label(this, SWT.None);
@@ -185,7 +186,7 @@
 		queryField = new Text(this, SWT.BORDER);
 		queryField.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 		Button refreshBtn = new Button(this, SWT.PUSH);
-		refreshBtn.setText(TXMUIMessages.common_refresh);
+		refreshBtn.setText("Refresh the query");
 		refreshBtn.addSelectionListener(new SelectionListener() {
 			
 			@Override
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java	(revision 3147)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java	(revision 3148)
@@ -97,7 +97,7 @@
 					project.getEditionDefinition("default").setEnableCollapsible(false);
 					project.getEditionDefinition("default").setPageBreakTag("pb");
 					project.getEditionDefinition("default").setPaginateEdition(true);
-					project.getEditionDefinition("default").setWordsPerPage(500);
+					project.getEditionDefinition("default").setWordsPerPage(1000);
 					project.getEditionDefinition("default").setBuildEdition(true);
 					
 					Log.info(NLS.bind(TXMUIMessages.theP0CorpusWillBeCreatedFromTheP1Directory, project.getName(), project.getSrcdir()));
@@ -128,12 +128,12 @@
 						date = Calendar.getInstance().getTime(); // today
 					}
 					
-					if (MessageDialog.openQuestion(ImportWizard.this.getShell(), NLS.bind(TXMUIMessages.p0Import, project), NLS.bind(TXMUIMessages.theP1P0CorpusWillBeReplaced+"\nContinue ?", project, date))) {
+//					if (MessageDialog.openQuestion(ImportWizard.this.getShell(), NLS.bind(TXMUIMessages.p0Import, project), NLS.bind(TXMUIMessages.theP1P0CorpusWillBeReplaced+"\nContinue ?", project, date))) {
 						Log.info(NLS.bind(TXMUIMessages.theP1P0CorpusWillBeReplaced, project, date));
-					} else {
-						Log.info(TXMUIMessages.abort);
-						return false;
-					}
+//					} else {
+//						Log.info(TXMUIMessages.abort);
+//						return false;
+//					}
 					
 					
 				}
@@ -141,7 +141,7 @@
 				// if (!project.hasEditionDefinition("default")) {
 				// EditionDefinition def = project.getEditionDefinition("default");
 				// def.setBuildEdition(true);
-				// def.setWordsPerPage(500);
+				// def.setWordsPerPage(1000);
 				// def.setPageBreakTag("pb");
 				// }
 				
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/menu/MacrosMenuContribution.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/menu/MacrosMenuContribution.java	(revision 3147)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/menu/MacrosMenuContribution.java	(revision 3148)
@@ -16,13 +16,14 @@
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.IWorkbenchWindow;
 import org.txm.Toolbox;
+import org.txm.rcp.IImageKeys;
 import org.txm.rcp.TXMWindows;
 import org.txm.rcp.handlers.scripts.ExecuteGroovyMacro;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.utils.logger.Log;
 
 public class MacrosMenuContribution extends ContributionItem {
-
+	
 	Menu menu;
 	int index;
 	public MacrosMenuContribution() {
@@ -31,46 +32,48 @@
 	public MacrosMenuContribution(String id) {
 		super(id);
 	}
-
+	
 	@Override
 	public void fill(Menu menu, int index) {
 		this.menu = menu;
 		this.index = index;
-
-
+		
+		
 		menu.addMenuListener(new MenuListener() {
-
+			
 			@Override
 			public void menuShown(MenuEvent e) {
 				onOpen(MacrosMenuContribution.this.menu, MacrosMenuContribution.this.index);
 			}
-
+			
 			@Override
 			public void menuHidden(MenuEvent e) { }
 		});
 	}
-
+	
 	public File getMacroDirectory() {
 		//create the menu item
 		String w = Toolbox.getTxmHomePath();
 		if (w == null || w.length() == 0) return null;
-
-		return new File(w, "scripts/groovy/user/"+this.getId().replace(".", "/"));
+		
+		return new File(w, "scripts/groovy/user/org/txm/macro/");
 	}
-
+	
 	public void onOpen(Menu menu, int index) {
-
+		
 		File macroDirectory = getMacroDirectory();
 		if (macroDirectory == null) return;
-
+		
+		//System.out.println(macroDirectory);
 		File[] files = macroDirectory.listFiles();
+		//System.out.println(files.length);
 		if (files == null || files.length == 0) {
-
+			
 			MenuItem[] menuItems = menu.getItems();
 			for (int i = 0; i < menuItems.length; i++) {
 				menuItems[i].dispose();
 			}
-
+			
 			MenuItem menuItem = new MenuItem(menu, SWT.CHECK, index);
 			menuItem.setText("<no macro>");
 			menuItem.addSelectionListener(new SelectionAdapter() {
@@ -81,21 +84,21 @@
 			});
 			return;
 		}
-
+		
 		populate(menu, macroDirectory, index);
 	}
-
+	
 	public static void populate(Menu menu, File directory, int index) {
-
+		
 		// First empty
 		MenuItem[] menuItems = menu.getItems();
 		for (int i = 0; i < menuItems.length; i++) {
 			menuItems[i].dispose();
 		}
-
+		
 		// Find files
 		File[] files = directory.listFiles();
-
+		
 		// first are directories
 		Arrays.sort(files, new Comparator<File>() {
 			@Override
@@ -112,52 +115,56 @@
 					return 1;
 				}
 			}
-
+			
 		});
 		for (File f : files) {
 			if (f.getName().endsWith("Macro.groovy")) {
 				MenuItem menuItem = new MenuItem(menu, SWT.PUSH);
 				menuItem.setText(f.getName().substring(0, f.getName().length()-12).replaceAll("([A-Z])([^A-Z])", " $1$2"));
+				menuItem.setImage(IImageKeys.getImage(IImageKeys.SCRIPT_RUN));
 				menuItem.addSelectionListener(new MacroSelectionAdapter(f));
 			} else if (f.isDirectory()) {
-				MenuItem subMenuItem = new MenuItem(menu, SWT.CASCADE);
-				subMenuItem.setText(f.getName());
-				Menu submenu = new Menu(menu);
-				subMenuItem.setMenu(submenu);
-				populate(submenu, f, 0);
+				File[] tmp = f.listFiles();
+				if (tmp != null && tmp.length > 0) {
+					MenuItem subMenuItem = new MenuItem(menu, SWT.CASCADE);
+					subMenuItem.setText(f.getName());
+					Menu submenu = new Menu(menu);
+					subMenuItem.setMenu(submenu);
+					populate(submenu, f, 0);
+				}
 			}
 		}
 	}
-
+	
 	public static class MacroSelectionAdapter extends SelectionAdapter {
 		File macro;
 		public MacroSelectionAdapter(File macro) {
 			this.macro = macro;
 		}
-
+		
 		public void widgetSelected(SelectionEvent e) {
 			IWorkbenchWindow acWindow = TXMWindows.getActiveWindow();
 			IWorkbenchPart page = acWindow.getActivePage().getActivePart();
 			ExecuteGroovyMacro.execute(macro.getAbsolutePath(), page, CorporaView.getInstance().getTreeViewer().getSelection(), "");
 		}
 	}
-
+	
 	public static class MacroDirectoryMenu extends Menu {
-
+		
 		File directory;
 		int index;
-
+		
 		public MacroDirectoryMenu(Menu parentMenu, File dir, int i) {
 			super(parentMenu);
 			this.directory = dir;
 			this.index = i;
 			this.addMenuListener(new MenuListener() {
-
+				
 				@Override
 				public void menuShown(MenuEvent e) {
 					populate(MacroDirectoryMenu.this, directory, index);
 				}
-
+				
 				@Override
 				public void menuHidden(MenuEvent e) { }
 			});
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 3147)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 3148)
@@ -99,7 +99,7 @@
 
 advancedUserMode = Advanced user mode
 
-allCriteria = All criteria (&)
+allCriteria = All criteria (&&)
 
 alwaysSaveBeforeLaunching = Always save before launching
 
